# ADVANCED

- [Session Keys](https://docs.cometh.io/advanced/session-keys.md): No need to sign each transactions !
- [Tutorial](https://docs.cometh.io/advanced/session-keys/tutorial.md): Example of a session key with an action policy.
- [Remove a session key](https://docs.cometh.io/advanced/session-keys/remove-a-session-key.md): Remove a permission
- [Policies](https://docs.cometh.io/advanced/session-keys/policies.md)
- [Sudo policy](https://docs.cometh.io/advanced/session-keys/policies/sudo-policy.md): The sudo policy gives full permission to the signer. The signer will be able to send any UserOps.
- [Action policy](https://docs.cometh.io/advanced/session-keys/policies/action-policy.md): The action policy limits the target (either contract or EOA) that the UserOp can interact with.
- [ERC7579 actions](https://docs.cometh.io/advanced/session-keys/erc7579-actions.md)
- [7579 Fallback methods](https://docs.cometh.io/advanced/session-keys/erc7579-actions/7579-fallback-methods.md): 7579 methods
- [Install a module](https://docs.cometh.io/advanced/session-keys/erc7579-actions/install-a-module.md): Installs a ERC-7579 module to the smart account.
- [Uninstall a Module](https://docs.cometh.io/advanced/session-keys/erc7579-actions/uninstall-a-module.md): Uninstalls a ERC-7579 module from the smart account.
- [isModuleInstalled](https://docs.cometh.io/advanced/session-keys/erc7579-actions/ismoduleinstalled.md): Checks if an ERC-7579 module is installed on the smart account.
- [Social recovery](https://docs.cometh.io/advanced/social-recovery.md): How to recover a wallet using recovery
- [Add a passkey signer on a different OS](https://docs.cometh.io/advanced/add-a-passkey-signer-on-a-different-os.md): Allow your user to access their wallet from several devices with different OS environment
- [Capabilities](https://docs.cometh.io/advanced/capabilities.md)
- [sendCalls](https://docs.cometh.io/advanced/capabilities/sendcalls.md)
- [getCallsStatus](https://docs.cometh.io/advanced/capabilities/getcallsstatus.md)
- [getCapabilities](https://docs.cometh.io/advanced/capabilities/getcapabilities.md)
- [grantPermissions](https://docs.cometh.io/advanced/capabilities/grantpermissions.md)
- [Other signers (Auth Providers)](https://docs.cometh.io/advanced/other-signers-auth-providers.md)
- [EOA wallets (Metamask, Phantom...)](https://docs.cometh.io/advanced/other-signers-auth-providers/eoa-wallets-metamask-phantom....md)
- [Magic signer](https://docs.cometh.io/advanced/other-signers-auth-providers/magic-signer.md)
- [Web3Auth signer](https://docs.cometh.io/advanced/other-signers-auth-providers/web3auth-signer.md)
- [Turnkey signer](https://docs.cometh.io/advanced/other-signers-auth-providers/turnkey-signer.md)
- [Privy signer](https://docs.cometh.io/advanced/other-signers-auth-providers/privy-signer.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cometh.io/advanced.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
